Bug 770209 - Libreoffice: can't change paper tray setting while printing
Libreoffice: can't change paper tray setting while printing
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-12-24 05:38 EST by info@kobaltwit.be
Modified: 2013-02-27 06:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 21:52:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 43932 None None None Never

  None (edit)
Description info@kobaltwit.be 2011-12-24 05:38:26 EST
Description of problem:
I have a HP Color LaserJet cm2320fxi printer which has 3 input trays.
When I want to print something, I may want to change the tray as each tray holds a different kind of paper.
However, whatever tray I select in the printer settings, after closing the settings dialog, the selected always resets to whatever it was before opening the settings dialog. And it will print to that tray only.

This happens at least in these libreoffice components: Writer, Draw, Calc. I haven't tested Impress or Base, but I guess the print system is common to all.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. You need a multi-tray printer to test this
2. Open a libreoffice document
3. Select File->Print
4. Select a printer and then "Properties" ("Eigenschappen" in Dutch)
=> Note the currently selected tray (for example "Tray 2")
5. Select a different paper tray, say "Tray 3"
6. Click Ok and then open the "Properties" again
7. Reselect "Tray 3", click Ok an print.

Actual results:
After step 6: Note the currently selected tray is "Tray 2" again instead of the explicitly selected "Tray 3" from step 5.
After step 7: The document will be printed from tray 2 even though tray 3 was selected.

Expected results:
The tray selection is honoured.

Additional info:
I only have this with LibreOffice. All other programs honour the tray selection just fine. I can confirm with at least Okular, Gimp, GnuCash, Scribus, Firefox, Kmail,... This is a mixture of KDE and Gnome apps.

Moreover, libreoffice seems to stick to whatever tray was the system default at the time libreoffice is started. Let me clarify:
Suppose I just printed a pdf file via Okular to tray 3 and then start libreoffice, libreoffice will print to tray 3 no matter what I try. If I print a document from scribus to tray 2, after that, libreoffice will print to tray 2 regardless of what I try to set.

I searched for similar reports on the web, and found some though they are not exactly the same:
- https://bugs.launchpad.net/ubuntu/+source/cups/+bug/790184 (colour/greyscale selection ignored)
- https://bugs.freedesktop.org/show_bug.cgi?id=39220
(external reports)
(other applications work fine)
Comment 1 info@kobaltwit.be 2011-12-24 05:40:21 EST
Note that I set the importance to high, because this seriously reduces the usefulness of libreoffice in a real office environment. The printer is installed via the network on another floor. I can't expect all users to run up and down the stairs to change paper in the tray that happens to be active currently.
Comment 2 info@kobaltwit.be 2011-12-24 08:00:48 EST
And right after I submitted this bug I found that there is an update available for libreoffice on Fedora 16.

Current version is libreoffice-base-
I can still confirm the problem with this version.
Comment 3 info@kobaltwit.be 2011-12-27 04:22:11 EST
Thanks for the upstream bug tracker link. I can confirm that using "File->Printer Settings..." it is indeed possible to change the paper tray selection. It's only in the print dialog that it doesn't work.

I'm glad there is a workaround.
Comment 4 Caolan McNamara 2012-03-08 06:54:26 EST
caolanm->dtardon: can you have a look at this. I know you hate printers :-), who doesn't, but at least in theory you've got access to more than me to play around with rather than setting up fake printers etc.
Comment 5 info@kobaltwit.be 2012-03-08 08:34:33 EST
Still happens in libreoffice-base-
Comment 6 David Tardon 2012-03-14 10:05:56 EDT
should be okay in >=libreoffice-
Comment 7 info@kobaltwit.be 2012-05-04 04:39:46 EDT
(In reply to comment #6)
> should be okay in >=libreoffice-

I can still reproduce this problem in libreoffice-

Using print settings, I can change the paper tray selection successfully, but if I change the paper tray selection via Print... it doesn't work.
Comment 8 milanl 2012-08-07 01:22:42 EDT
I have this problem with 3.4.5 and 3.5. Also with Openoffice 3.3. I'm also unable to change paper tray using Print settings :(
Comment 9 milanl 2012-08-13 07:29:23 EDT
Libre Office 3.6 fixes problem partially. Namely, now I can set paper tray from Format > Page, but not from print dialog or File > Printer Settings.
Comment 10 milanl 2012-08-22 10:16:10 EDT
(In reply to comment #9)
> Libre Office 3.6 fixes problem partially. Namely, now I can set paper tray
> from Format > Page, but not from print dialog or File > Printer Settings.

I don't know why I said this, because it is not correct. Officially, for me there is no solution even with
Comment 11 Fedora End Of Life 2013-01-16 20:43:19 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Fedora End Of Life 2013-02-13 21:52:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 info@kobaltwit.be 2013-02-16 08:35:38 EST
Just as a closing note: I have now upgraded to Fedora 18, which ships LibreOffice

It seems like I can now change the paper tray settings correctly from the print dialog.

Note You need to log in before you can comment on or make changes to this bug.